zenilib: zenilib/jni/external/freetype2/src/autofit/afmodule.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Typedefs | Functions | Variables
afmodule.c File Reference
`#include "afmodule.h"`
`#include "afloader.h"`
`#include "afpic.h"`
`#include <FT_INTERNAL_OBJECTS_H>`

Go to the source code of this file.

## Typedefs

typedef struct FT_AutofitterRec_ * | FT_Autofitter
typedef struct FT_AutofitterRec_ | FT_AutofitterRec

## Functions

| af_autofitter_done (FT_Autofitter module)
| af_autofitter_init (FT_Autofitter module)
| af_autofitter_load_glyph (FT_Autofitter module, FT_GlyphSlot slot, FT_Size size, FT_UInt glyph_index, FT_Int32 load_flags)
| FT_DEFINE_AUTOHINTER_SERVICE (af_autofitter_service, NULL, NULL, NULL,(FT_AutoHinter_GlyphLoadFunc) af_autofitter_load_glyph) FT_DEFINE_MODULE(autofit_module_class
| sizeof (FT_AutofitterRec)

## Variables

const void *& | AF_AF_AUTOFITTER_SERVICE_GET
const void FT_Module_Constructor FT_Module_Destructor | af_autofitter_done
const void FT_Module_Constructor | af_autofitter_init
| autofitter
| FT_MODULE_HINTER

## Typedef Documentation

typedef struct FT_AutofitterRec_ * FT_Autofitter

typedef struct FT_AutofitterRec_ FT_AutofitterRec

## Function Documentation

af_autofitter_done | ( | FT_Autofitter | module | ) |

Definition at line 49 of file afmodule.c.

References af_loader_done().

af_autofitter_init | ( | FT_Autofitter | module | ) |

Definition at line 42 of file afmodule.c.

References af_loader_init().

af_autofitter_load_glyph | ( | FT_Autofitter | module,
|  | FT_GlyphSlot | slot,
|  | FT_Size | size,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 56 of file afmodule.c.

References af_loader_load_glyph(), and FT_UNUSED.

FT_DEFINE_AUTOHINTER_SERVICE | ( | af_autofitter_service | ,
|  | NULL | ,
|  | NULL | ,
|  | NULL | ,
|  | (FT_AutoHinter_GlyphLoadFunc) | af_autofitter_load_glyph
| ) |  |

sizeof | ( | FT_AutofitterRec |  | ) |

Referenced by _bdf_parse_glyphs(), _bdf_parse_start(), af_face_globals_new(), afm_parse_kern_pairs(), ft_black_render(), ft_lzwstate_prefix_grow(), FT_Set_Debug_Hook(), ftc_inode_weight(), gray_convert_glyph(), gray_raster_reset(), gxv_bsln_LookupFmt4_transit(), gxv_lcar_LookupFmt4_transit(), gxv_mort_subtable_type4_lookupfmt4_transit(), gxv_morx_subtable_type1_LookupFmt4_transit(), gxv_opbd_LookupFmt4_transit(), gxv_prop_LookupFmt4_transit(), gxv_XClassTable_lookupfmt4_transit(), SDL_Convert_F32LSB_to_F32MSB(), SDL_Convert_F32LSB_to_S16LSB(), SDL_Convert_F32LSB_to_S16MSB(), SDL_Convert_F32LSB_to_S32LSB(), SDL_Convert_F32LSB_to_S32MSB(), SDL_Convert_F32LSB_to_S8(), SDL_Convert_F32LSB_to_U16LSB(), SDL_Convert_F32LSB_to_U16MSB(), SDL_Convert_F32LSB_to_U8(), SDL_Convert_F32MSB_to_F32LSB(), SDL_Convert_F32MSB_to_S16LSB(), SDL_Convert_F32MSB_to_S16MSB(), SDL_Convert_F32MSB_to_S32LSB(), SDL_Convert_F32MSB_to_S32MSB(), SDL_Convert_F32MSB_to_S8(), SDL_Convert_F32MSB_to_U16LSB(), SDL_Convert_F32MSB_to_U16MSB(), SDL_Convert_F32MSB_to_U8(), SDL_Convert_S16LSB_to_F32LSB(), SDL_Convert_S16LSB_to_F32MSB(), SDL_Convert_S16LSB_to_S16MSB(), SDL_Convert_S16LSB_to_S32LSB(), SDL_Convert_S16LSB_to_S32MSB(), SDL_Convert_S16LSB_to_S8(), SDL_Convert_S16LSB_to_U16LSB(), SDL_Convert_S16LSB_to_U16MSB(), SDL_Convert_S16LSB_to_U8(), SDL_Convert_S16MSB_to_F32LSB(), SDL_Convert_S16MSB_to_F32MSB(), SDL_Convert_S16MSB_to_S16LSB(), SDL_Convert_S16MSB_to_S32LSB(), SDL_Convert_S16MSB_to_S32MSB(), SDL_Convert_S16MSB_to_S8(), SDL_Convert_S16MSB_to_U16LSB(), SDL_Convert_S16MSB_to_U16MSB(), SDL_Convert_S16MSB_to_U8(), SDL_Convert_S32LSB_to_F32LSB(), SDL_Convert_S32LSB_to_F32MSB(), SDL_Convert_S32LSB_to_S16LSB(), SDL_Convert_S32LSB_to_S16MSB(), SDL_Convert_S32LSB_to_S32MSB(), SDL_Convert_S32LSB_to_S8(), SDL_Convert_S32LSB_to_U16LSB(), SDL_Convert_S32LSB_to_U16MSB(), SDL_Convert_S32LSB_to_U8(), SDL_Convert_S32MSB_to_F32LSB(), SDL_Convert_S32MSB_to_F32MSB(), SDL_Convert_S32MSB_to_S16LSB(), SDL_Convert_S32MSB_to_S16MSB(), SDL_Convert_S32MSB_to_S32LSB(), SDL_Convert_S32MSB_to_S8(), SDL_Convert_S32MSB_to_U16LSB(), SDL_Convert_S32MSB_to_U16MSB(), SDL_Convert_S32MSB_to_U8(), SDL_Convert_S8_to_F32LSB(), SDL_Convert_S8_to_F32MSB(), SDL_Convert_S8_to_S16LSB(), SDL_Convert_S8_to_S16MSB(), SDL_Convert_S8_to_S32LSB(), SDL_Convert_S8_to_S32MSB(), SDL_Convert_S8_to_U16LSB(), SDL_Convert_S8_to_U16MSB(), SDL_Convert_S8_to_U8(), SDL_Convert_U16LSB_to_F32LSB(), SDL_Convert_U16LSB_to_F32MSB(), SDL_Convert_U16LSB_to_S16LSB(), SDL_Convert_U16LSB_to_S16MSB(), SDL_Convert_U16LSB_to_S32LSB(), SDL_Convert_U16LSB_to_S32MSB(), SDL_Convert_U16LSB_to_S8(), SDL_Convert_U16LSB_to_U16MSB(), SDL_Convert_U16LSB_to_U8(), SDL_Convert_U16MSB_to_F32LSB(), SDL_Convert_U16MSB_to_F32MSB(), SDL_Convert_U16MSB_to_S16LSB(), SDL_Convert_U16MSB_to_S16MSB(), SDL_Convert_U16MSB_to_S32LSB(), SDL_Convert_U16MSB_to_S32MSB(), SDL_Convert_U16MSB_to_S8(), SDL_Convert_U16MSB_to_U16LSB(), SDL_Convert_U16MSB_to_U8(), SDL_Convert_U8_to_F32LSB(), SDL_Convert_U8_to_F32MSB(), SDL_Convert_U8_to_S16LSB(), SDL_Convert_U8_to_S16MSB(), SDL_Convert_U8_to_S32LSB(), SDL_Convert_U8_to_S32MSB(), SDL_Convert_U8_to_S8(), SDL_Convert_U8_to_U16LSB(), SDL_Convert_U8_to_U16MSB(), t1_decoder_parse_charstrings(), T1_Get_MM_Var(), T1_Read_PFM(), and TT_Process_Composite_Glyph().

## Variable Documentation

const void* & AF_AF_AUTOFITTER_SERVICE_GET

Definition at line 82 of file afmodule.c.

const void FT_Module_Constructor FT_Module_Destructor af_autofitter_done

Definition at line 82 of file afmodule.c.

const void FT_Module_Constructor af_autofitter_init

Definition at line 82 of file afmodule.c.

autofitter

Definition at line 82 of file afmodule.c.

FT_MODULE_HINTER

Definition at line 79 of file afmodule.c.